---
sidebar_position: 2
description: Modify field and other functions to work with Airtable in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Airtable]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Modify field
 Changes the name and/or description of an existing table field



`Function ModifyField(Val Token, Val Base, Val Table, Val Field, Val Name = "", Val Description = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Base | --base | String | &#x2714; | Base identifier Base |
  | Table | --table | String | &#x2714; | Table identifier |
  | Field | --field | String | &#x2714; | Field identifier |
  | Name | --title | String | &#x2716; | New name |
  | Description | --description | String | &#x2716; | New description |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Airtable



```bsl title="1C:Enterprise/OneScript code example"
    Token = "patNn4BXW66Yx3pdj.5b93c53cab554a8387de02d...";
    Base  = "appFSHDVzJPNC6HRO";
    Table = "tblJkLJDo8Oijuksc";
    Field = "fldWLsGOAI9V2gnGZ";

    Name        = String(New UUID) + "(change.)";
    Description = "New description";

    Result = OPI_Airtable.ModifyField(Token, Base, Table, Field, Name, Description);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint airtable ModifyField \
             --token "***" \
             --base "app5EEUGKC7EHLcyz" \
             --table "tbl9MIP7k60xewSuH" \
             --field "fld2SklLg9ufthkPQ" \
             --title "8b6262f9-ea88-410e-b569-80b8935c5660(change.)" \
             --description "New description"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint airtable ModifyField ^
             --token "***" ^
             --base "app5EEUGKC7EHLcyz" ^
             --table "tbl9MIP7k60xewSuH" ^
             --field "fld2SklLg9ufthkPQ" ^
             --title "8b6262f9-ea88-410e-b569-80b8935c5660(change.)" ^
             --description "New description"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "type": "number",
 "options": {
  "precision": 0
 },
 "id": "fld2SklLg9ufthkPQ",
 "name": "8b6262f9-ea88-410e-b569-80b8935c5660(change.)",
 "description": "New description"
}
```
